This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542165 - Review Request: testng - Java-based testing framework
Review Request: testng - Java-based testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-28 11:27 EST by Lubomir Rintel
Modified: 2009-12-21 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 16:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-28 11:27:07 EST
SPECS: http://v3.sk/~lkundrak/SPECS/testng.spec
SRPMS: http://v3.sk/~lkundrak/SRPMS/testng-5.10-1.fc13.src.rpm

Description:

TestNG is a testing framework inspired from JUnit and NUnit but introducing
some new functionality, including flexible test configuration, and
distributed test running.  It is designed to cover unit tests as well as
functional, end-to-end, integration, etc.
Comment 1 Lubomir Rintel 2009-11-28 11:31:29 EST
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1834451
Comment 2 Alexander Kurtakov 2009-12-03 07:24:02 EST
Do we really need the jdk14 jar? We are not shipping 1.4 jdk and TBH I don't believe it is even used nowadays.
Comment 3 Alexander Kurtakov 2009-12-03 07:40:16 EST
Also I would like to see javadoc subpackage. For me the correct ant call to build only java 5 and javadocs is `ant dist-15 javadocs`.
Comment 5 Alexander Kurtakov 2009-12-18 05:37:40 EST
Review:

FIXIT: rpmlint is not happy
testng.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/testng-5.10/README
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. [6]
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 

Non blockers but I would love to see them:
1. Maven pom and depmaps added - This will allow me to build testng support in maven-surefire which is disabled now.
2. Testng 5.11 is out - nice to import latest version directly
Comment 6 Lubomir Rintel 2009-12-19 19:27:54 EST
Thanks for the review.

(In reply to comment #5)
> Review:
> 
> FIXIT: rpmlint is not happy
> testng.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/testng-5.10/README

Fixed.

> Non blockers but I would love to see them:
> 1. Maven pom and depmaps added - This will allow me to build testng support in
> maven-surefire which is disabled now.

Done. (at least attempted to :)

> 2. Testng 5.11 is out - nice to import latest version directly  

Done.

New package:

SPECS: http://v3.sk/~lkundrak/SPECS/testng.spec
SRPMS: http://v3.sk/~lkundrak/SRPMS/testng-5.11-1.fc13.src.rpm
Comment 7 Alexander Kurtakov 2009-12-21 03:54:18 EST
Please include a pom file e.g. http://repo2.maven.org/maven2/org/testng/testng/5.10/testng-5.10.pom. Just change the version to 5.11. 
https://fedoraproject.org/wiki/Packaging:Java#maven contains a sample pom installation.

Definitely not a blocker.

APPROVED
Comment 8 Lubomir Rintel 2009-12-21 04:08:30 EST
Thank you. I'll include the POM upon import.

New Package CVS Request
=======================
Package Name: testng
Short Description: Java-based testing framework
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 9 Kevin Fenzi 2009-12-21 15:03:21 EST
cvs done.
Comment 10 Lubomir Rintel 2009-12-21 16:59:20 EST
Thank you for the review.
Imported (with pom) and built.

Note You need to log in before you can comment on or make changes to this bug.